Skip to main content
GET
/
v3
/
quote
Quote
curl --request GET \
  --url https://api.bebop.xyz/pmm/{chain}/v3/quote
{
  "requestId": "31a8cd0e-4566-48ad-8fe0-92efcde63dc2",
  "type": "121",
  "status": "SIG_SUCCESS",
  "quoteId": "121-197055704233248307894658608409132099557",
  "chainId": 1,
  "approvalType": "Standard",
  "nativeToken": "ETH",
  "taker": "0x5Bad996643a924De21b6b2875c85C33F3c5bBcB6",
  "receiver": "0x5Bad996643a924De21b6b2875c85C33F3c5bBcB6",
  "expiry": 1772813487,
  "slippage": 0,
  "gasFee": {
    "native": "0",
    "usd": 0
  },
  "buyTokens": {
    "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2": {
      "amount": "504765657558485082",
      "decimals": 18,
      "priceUsd": 1980.81,
      "symbol": "WETH",
      "minimumAmount": "504765657558485082",
      "price": 1981.1173462888255,
      "priceBeforeFee": 1971.2599999999998,
      "amountBeforeFee": "507289753761553600",
      "deltaFromExpected": -0.00010614305258680328
    }
  },
  "sellTokens": {
    "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48": {
      "amount": "1000000000",
      "decimals": 6,
      "priceUsd": 0.999951,
      "symbol": "USDC",
      "price": 0.0005047656575584851,
      "priceBeforeFee": 0.0005072897537615536
    }
  },
  "settlementAddress": "0xbbbbbBB520d69a9775E85b458C58c648259FAD5F",
  "approvalTarget": "0xbbbbbBB520d69a9775E85b458C58c648259FAD5F",
  "requiredSignatures": [],
  "priceImpact": -0.00010614305258680328,
  "partnerFee": {
    "0xEeeeeEeeeEeEeeEeEeEeeEEEeeeeEeeeeeeeEEeE": "2524096203068442"
  },
  "warnings": [],
  "tx": {
    "to": "0xbbbbbBB520d69a9775E85b458C58c648259FAD5F",
    "value": "0x0",
    "data": "0x4dcebcba00...",
    "from": "0x5Bad996643a924De21b6b2875c85C33F3c5bBcB6",
    "gas": 102504,
    "gasPrice": 459274878
  },
  "makers": [
    "🦖2"
  ],
  "toSign": {
    "partner_id": 0,
    "expiry": 1772813487,
    "taker_address": "0x5Bad996643a924De21b6b2875c85C33F3c5bBcB6",
    "maker_address": "0xA8020EcBC321e0C8cEA26B3507f207482d0100c2",
    "maker_nonce": "2772802508865834001",
    "taker_token": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
    "maker_token": "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2",
    "taker_amount": "1000000000",
    "maker_amount": "504765657558485082",
    "receiver": "0x5Bad996643a924De21b6b2875c85C33F3c5bBcB6",
    "packed_commands": "0"
  },
  "onchainOrderType": "SingleOrder",
  "partialFillOffset": 12
}

Headers

source-auth
string | null

Source auth token

Query Parameters

sell_tokens
string
required

The tokens that will be supplied by the taker

Example:

"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"

buy_tokens
string
required

The tokens that will be supplied by the maker

Example:

"0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2"

sell_amounts
string

The amount of each taker token, order respective to taker_tokens

Example:

"1000000000"

buy_amounts
string | null

The amount of each maker token, order respective to maker_tokens

taker_address
string
required

Address which will sign the order

Example:

"0x5Bad996643a924De21b6b2875c85C33F3c5bBcB6"

receiver_address
string | null

Address which will receive the taker tokens. (Defaults to taker_address if not specified)

source
string | null

Referral partner that will be associated with the quote.

approval_type
enum<string>
default:Standard

Type of Approval for EVM: Standard/Permit/Permit2

Available options:
Standard,
Permit,
Permit2
buy_tokens_ratios
string | null

Ratios of maker tokens to receive for each taker token

sell_tokens_ratios
string | null

Ratios of taker tokens to receive for each maker token

gasless
boolean

Set to false to receive call data and self execute.

slippage

The slippage to use

origin_address
string | null

Original user of the quote if different than taker.

expiry_type
enum<string>
default:standard

Standard, Short (5 seconds)

Available options:
standard,
short
fee
default:0

Fee (bps) to be charged for this quote

Response

Success

requestId
string
required
type
string
required
status
string
required
quoteId
string
required
chainId
integer
required
approvalType
enum<string>
required
Available options:
Standard,
Permit,
Permit2
nativeToken
string
required
taker
string
required
receiver
string
required
expiry
integer
required
slippage
number
required
gasFee
GasFeeResponse · object
required
buyTokens
Buytokens · object
required
sellTokens
Selltokens · object
required
settlementAddress
string
required
approvalTarget
string
required
requiredSignatures
string[]
required
makers
string[]
required
toSign
SingleOrderToSign · object
required
onchainOrderType
string | null
required
priceImpact
number | null
partnerFee
Partnerfee · object
protocolFee
Protocolfee · object
warnings
PriceWarning · object[]
info
string | null
tx
TxData · object
solana_tx
string | null
blockhash
string | null
partialFillOffset
integer | null
guaranteeBoost
string | null